> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance-1.5-Pro 视频生成

> - Seedance 1.5 Pro (seedance-1.5-pro) 模型支持文生视频、图生视频、首尾帧等多种生成模式
- 异步处理模式，使用返回的任务ID  [进行查询](/cn/api-manual/task-management/get-task-detail)
- 生成的视频链接，有效期为24小时，请尽快保存



## OpenAPI

````yaml cn/api-manual/video-series/seedance1.5/seedance-1.5-pro-video-generate.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: seedance-1.5-pro接口
  description: 使用AI模型创建视频生成任务，支持文本转视频生成模式
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 生产环境
security:
  - bearerAuth: []
tags:
  - name: 视频生成
    description: AI视频生成相关接口
paths:
  /v1/videos/generations:
    post:
      tags:
        - 视频生成
      summary: seedance-1.5-pro接口
      description: >-
        - Seedance 1.5 Pro (seedance-1.5-pro) 模型支持文生视频、图生视频、首尾帧等多种生成模式

        - 异步处理模式，使用返回的任务ID 
        [进行查询](/cn/api-manual/task-management/get-task-detail)

        - 生成的视频链接，有效期为24小时，请尽快保存
      operationId: createVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
            examples:
              text_to_video_basic:
                summary: 文本生成视频（基础）
                value:
                  model: seedance-1.5-pro
                  prompt: A cat playing piano
      responses:
        '200':
          description: 视频生成任务创建成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: 请求参数错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未认证、Token无效或过期
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 配额不足、需要充值
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 无权限访问
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: seedance-1.5-pro'
                  type: invalid_request_error
        '429':
          description: 请求频率超限
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 服务器内部错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    VideoGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 视频生成模型名称
          enum:
            - seedance-1.5-pro
          default: seedance-1.5-pro
          example: seedance-1.5-pro
        prompt:
          type: string
          description: 提示词，描述想要生成什么样的视频，限制为2000token
          example: A cat playing piano
          maxLength: 2000
        image_urls:
          type: array
          description: >-
            参考图像URL列表，用于图生视频功能


            **模式说明：**

            - 0张图片 = 文生视频（text-to-video）

            - 1张图片 = 图生视频（image-to-video）

            - 2张图片 = 首尾帧（first-last-frame）


            **注意：**

            - 单次请求支持输入图像数量：`2`张

            - 图像大小：不超过 `10MB`

            - 支持的文件格式：`.jpg`、`.jpeg`、`.png`、`.webp`

            - 宽高比（宽/高）：`0.4` ~ `2.5`

            - 宽高长度：`300` ~ `6000` px

            -
            图像URL需要服务器能直接查看，或者图像URL在访问时会直接进行下载（一般这种URL是以图像的扩展名作为结尾，例如`.png`、`.jpg`）
          items:
            type: string
            format: uri
          maxItems: 2
          example:
            - https://example.com/image.jpg
        duration:
          type: integer
          description: |-
            规定生成视频的时长（秒），默认为`5`秒

            **说明：**
            - 支持`4`-`12`秒之间的任意整数值
            - 单次请求会根据`duration`的值进行扣费，时长越长价格越高
          minimum: 4
          maximum: 12
        quality:
          type: string
          description: |-
            视频清晰度，默认为`720p`

            **说明：**
            - `480p`: 清晰度较低，价格较低
            - `720p`: 标准清晰度，标准价格，此为默认值
            - `1080p`: 高清晰度，价格较高
          enum:
            - 480p
            - 720p
            - 1080p
          example: 720p
        aspect_ratio:
          type: string
          description: >-
            视频宽高比


            **支持的值：**

            -
            `16:9`（横屏）、`9:16`（竖屏）、`1:1`（方形）、`4:3`、`3:4`、`21:9`（超宽屏）、`adaptive`（自适应）

            - 默认值：`16:9`
          example: '16:9'
        generate_audio:
          type: boolean
          description: >-
            是否生成音频，启用后会增加费用，默认为`true`


            **可选值：**

            - `true`：模型输出的视频包含同步音频。Seedance 1.5 Pro
            能够基于文本提示词与视觉内容，自动生成与之匹配的人声、音效及背景音乐。建议将对话部分置于双引号内，以优化音频生成效果。例如：男人叫住女人说："你记住，以后不可以用手指指月亮。"

            - `false`：模型输出的视频为无声视频
          default: true
          example: true
        callback_url:
          type: string
          description: |-
            任务完成后的HTTPS回调地址

            **回调时机：**
            - 任务完成（completed）、失败（failed）或取消（cancelled）时触发
            - 在计费确认完成后发送

            **安全限制：**
            - 仅支持HTTPS协议
            - 禁止回调到内网IP地址（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x等）
            - URL长度不超过`2048`字符

            **回调机制：**
            - 超时时间：`10`秒
            - 失败后最多重试`3`次（会分别在失败的`1`秒/`2`秒/`4`秒后进行重试）
            - 回调响应体格式与任务查询接口返回的格式一致
            - 回调地址若返回2xx状态码视为成功，其他状态码会触发重试
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 任务创建时间戳
          example: 1761313744
        id:
          type: string
          description: 任务ID
          example: task-unified-1761313744-vux2jw0k
        model:
          type: string
          description: 实际使用的模型名称
          example: seedance-1.5-pro
        object:
          type: string
          enum:
            - video.generation.task
          description: 任务的具体类型
        progress:
          type: integer
          description: 任务进度百分比 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 任务状态
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 视频任务详细信息
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 任务的输出类型
          example: video
        usage:
          $ref: '#/components/schemas/VideoUsage'
          description: 使用量和计费信息
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 错误代码标识符
            message:
              type: string
              description: 错误描述信息
            type:
              type: string
              description: 错误类型
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 任务是否可以取消
          example: true
        estimated_time:
          type: integer
          description: 预估完成时间（秒）
          minimum: 0
          example: 165
        video_duration:
          type: integer
          description: 视频时长（秒）
          example: 8
    VideoUsage:
      type: object
      description: 使用量和计费信息
      properties:
        billing_rule:
          type: string
          description: 计费规则
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 预估消耗积分数
          minimum: 0
          example: 8
        user_group:
          type: string
          description: 用户组类别
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##所有接口均需要使用Bearer Token进行认证##

        **获取 API Key：**

        访问 [API Key 管理页面](https://evolink.ai/dashboard/keys) 获取您的 API Key

        **使用时在请求头中添加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````